{% extends "base.html" %}
{% load i18n %}
{% load staticfiles %}

{% block title %}WDMS | Append user{% endblock title%}

{% block head %}
<link rel="stylesheet" type="text/css" href="{% static 'css/user_append.css' %}" />
<script>
    function change_select(company_id) {
        // 遍历删除原有的option
        var old_option_length1 = $( "#department:has(option)" ).length
        var old_option_length2 = $( "#area:has(option)" ).length
        for (var i = 0; i < old_option_length1; i++){
            $('#department').html("");
        }

        for (var i = 0; i < old_option_length2; i++){
            $('#area').html("");
        }

        // alert(company_id);
        var url = '{% url 'get_option_company' 0 %}'.replace('0', company_id)
        $.ajax({
            url: url,
            type: "GET",
            //获取json数据
            dataType: "json",
            success: function(data) {
                var d1 = data['department'];
                var d2 = data['area'];
                // 遍历新增对应company下的每个option
                for (var i = 0; i < d1.length; i++) {
                    var department_id = d1[i].id;
                    var department_name = d1[i].name;
                    var department_opt = "<option value='" + department_id + "'>" + department_name + "</option>";
                    $("#department").append(department_opt);
                }
                for (var i = 0; i < d2.length; i++) {
                    var area_id = d2[i].id;
                    var area_name = d2[i].name;
                    var area_opt = "<option value='" + area_id + "'>" + area_name + "</option>";
                    $("#area").append(area_opt);
                }
            },
            error: function() {
                alert("Please select a company！")
            }
        });
    }
</script>
{% endblock head %}

{% block content %}

  <div style="text-indent: 32.8em;">
    <a href="/">Home</a>›
    <a href="../">Authencation</a>› Add User
  </div>
  <table>
    <tbody>
      <tr>
        <td style="height: auto;"></td>
      </tr>
    </tbody>
  </table>
  <br>
  <div style="text-align:center;">
    <h1>User</h1>
    <br>
    <form method="post" role="form", action="{% url 'user_append' %}">
    {% csrf_token %}
      <table>
        <tbody>
          {% if user.is_superuser %}
            {% for field in form.visible_fields %}
                <div>
                  {% for error in field.errors %}
                  <div class="error">*{{ error }}</div>
                  {% endfor %}
                  <div class="{{ field.name }}">
                  <label for="{{ field.label }}">{{ field.label }}</label>
                  {{ field }}
                  {% if field.help_text %}
                  <br>
                  <div class="{{ field.name }}-help">
                  <!-- <span><strong>{{ field.help_text|safe }}</strong></span> -->
                  </div>
                  {% endif %}
                  </div>
               </div>
               <br>
               <br>
            {% endfor %}
          {% else %}
            {% for field in form.visible_fields %}
              {% if field.name != 'is_superuser' %}
                <div>
                  {% for error in field.errors %}
                  <div class="error">*{{ error }}</div>
                  {% endfor %}
                  <div class="{{ field.name }}">
                  <label for="{{ field.label }}">{{ field.label }}</label>
                  {{ field }}
                  {% if field.help_text %}
                  <br>
                  <div class="{{ field.name }}-help">
                  <!-- <span><strong>{{ field.help_text|safe }}</strong></span> -->
                  </div>
                  {% endif %}
                  </div>
               </div>
               <br>
               <br>
              {% endif %}
            {% endfor %}
          {% endif %}

          <div style="text-align:center">
              <input type="submit" value="Submit"/>&nbsp;&nbsp;&nbsp;&nbsp;
              <input type="submit" value="Return" onclick="window.history.back(); return false;" />
          </div>

        </tbody>
      </table>
      </form>
    </div>
{% endblock content %}